import { EntryBuilderHelpers, ModuleGroup, Runner, webpack } from '@morjs/utils';
import { CompilerUserConfig } from '../constants';
/**
 * 分包编译优化插件
 * 生成如下类型的文件
 *   MOR_APP_FILE
 *   MOR_COMMON_FILE
 *   MOR_INIT_FILE
 *   MOR_RUNTIME_FILE
 *   MOR_VENDOR_FILE
 */
export declare class OptimizeSplitChunksPlugin {
    name: string;
    splitChunks?: webpack.optimize.SplitChunksPlugin;
    userConfig: CompilerUserConfig;
    runner: Runner;
    entryBuilder: EntryBuilderHelpers;
    splitFiles: Map<ModuleGroup, Record<string, string>>;
    constructor();
    apply(runner: Runner): void;
    applyWebpackPlugin(compiler: webpack.Compiler): void;
    updateSplitChunksOptions(): void;
    /**
     * 生成初始化文件
     *    vendors
     *    commons
     *    init
     */
    generateInitFiles(assets: Record<string, any>): void;
    /**
     * 在 entry 中追加 init 文件的引用
     */
    appendRequireInitFilesForRelatedEntries(compilation: webpack.Compilation): void;
    resolveInitFilePath(group: ModuleGroup, relativeTo: string): string;
}
